Bug 167675 - patch segfaults when trying to run gdm through beehive
patch segfaults when trying to run gdm through beehive
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: patch (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-06 16:46 EDT by Ray Strode [halfline]
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.5.4-27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 04:06:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source file that was being patched (22.83 KB, application/octet-stream)
2005-09-06 17:00 EDT, Ray Strode [halfline]
no flags Details
Patch that was being applied (6.11 KB, text/plain)
2005-09-06 17:02 EDT, Ray Strode [halfline]
no flags Details
Fix crash, don't read over end of string. (392 bytes, patch)
2005-09-06 18:41 EDT, Ulrich Drepper
no flags Details | Diff

  None (edit)
Comment 1 Ray Strode [halfline] 2005-09-06 17:00:03 EDT
Created attachment 118531 [details]
Source file that was being patched
Comment 2 Ray Strode [halfline] 2005-09-06 17:02:28 EDT
Created attachment 118532 [details]
Patch that was being applied

Note this patch has been applied before without problems, so it's probably a
recent bug in rawhide patch.
Comment 3 Tomas Mraz 2005-09-06 17:16:53 EDT
Patch seems to crash on any input (at least on ppc64 and s390x).

Here is the backtrace if it helps:
Program received signal SIGSEGV, Segmentation fault.
0x0000000010006c1c in partime (s=Variable "s" is not available.
) at partime.c:794
794             while (!ISALNUM ((unsigned char) *s))
(gdb) bt
#0  0x0000000010006c1c in partime (s=Variable "s" is not available.
) at partime.c:794
#1  0x00000000100050e0 in str2time (source=0x1fffffff048,
    default_time=1126041112, default_zone=2199023250672) at maketime.c:475
#2  0x0000000010011898 in fetchname (
    at=0x1002d284 "mx4j/build/build.xml.orig\tThu Dec 23 18:35:27 2004\n",
    strip_leading=1, pstamp=0x1fffffff308) at util.c:1004
#3  0x000000001000e6d4 in there_is_another_patch () at pch.c:389
#4  0x24000442fffffa10 in ?? ()
#5  0x0000000010008688 in main (argc=2, argv=0x1fffffff9f8) at patch.c:178
#6  0x2800044200000000 in ?? ()
#7  0x00000080000cd13c in .generic_start_main () from /lib64/libc.so.6
#8  0x00000080000cd334 in .__libc_start_main () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

I'd suspect some change in compiler caused the segfault.
Comment 4 Ulrich Drepper 2005-09-06 18:41:48 EDT
Created attachment 118536 [details]
Fix crash, don't read over end of string.
Comment 5 Tim Waugh 2005-09-07 04:06:49 EDT
Thanks.  Patch applied in 2.5.4-27.

Note You need to log in before you can comment on or make changes to this bug.